Name:          libXcursor
Version:       1.1.14
Release:       2mamba
Summary:       X.Org Xcursor library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://x.org
Source:        http://ftp.x.org/pub/individual/lib/libXcursor-%{version}.tar.bz2
License:       MIT
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: libX11-devel >= 1.0.1
BuildRequires: libXfixes-devel >= 4.0.1
Obsoletes:     libXorg

%description
X.Org Xcursor library.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libXorg-devel

%description devel
X.Org Xcursor library.

This package contains static libraries and header files needed for development.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libXcursor.so.*
%doc COPYING ChangeLog

%files devel
%defattr(-,root,root)
%{_libdir}/libXcursor.a
%{_libdir}/libXcursor.la
%{_libdir}/libXcursor.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/X11/Xcursor/Xcursor.h
%{_mandir}/man3/Xcursor.3.gz
%{_mandir}/man3/XcursorCursorsCreate.3.gz
%{_mandir}/man3/XcursorCursorsDestroy.3.gz
%{_mandir}/man3/XcursorFilenameLoad.3.gz
%{_mandir}/man3/XcursorFilenameLoadAllImages.3.gz
%{_mandir}/man3/XcursorFilenameLoadCursor.3.gz
%{_mandir}/man3/XcursorFilenameLoadImage.3.gz
%{_mandir}/man3/XcursorFilenameLoadImages.3.gz
%{_mandir}/man3/XcursorFilenameSave.3.gz
%{_mandir}/man3/XcursorFilenameSaveImages.3.gz
%{_mandir}/man3/XcursorGetDefaultSize.3.gz
%{_mandir}/man3/XcursorGetTheme.3.gz
%{_mandir}/man3/XcursorImageCreate.3.gz
%{_mandir}/man3/XcursorImageDestroy.3.gz
%{_mandir}/man3/XcursorImagesCreate.3.gz
%{_mandir}/man3/XcursorImagesDestroy.3.gz
%{_mandir}/man3/XcursorLibraryLoadCursor.3.gz
%{_mandir}/man3/XcursorLibraryLoadCursors.3.gz
%{_mandir}/man3/XcursorLibraryLoadImage.3.gz
%{_mandir}/man3/XcursorLibraryLoadImages.3.gz
%{_mandir}/man3/XcursorSetDefaultSize.3.gz
%{_mandir}/man3/XcursorSetTheme.3.gz
%{_mandir}/man3/XcursorShapeLoadCursor.3.gz
%{_mandir}/man3/XcursorShapeLoadCursors.3.gz
%{_mandir}/man3/XcursorShapeLoadImage.3.gz
%{_mandir}/man3/XcursorShapeLoadImages.3.gz
%{_mandir}/man3/XcursorSupportsARGB.3.gz
%{_mandir}/man3/XcursorXcFileLoad.3.gz
%{_mandir}/man3/XcursorXcFileLoadAllImages.3.gz
%{_mandir}/man3/XcursorXcFileLoadImage.3.gz
%{_mandir}/man3/XcursorXcFileLoadImages.3.gz
%{_mandir}/man3/XcursorXcFileSave.3.gz

%changelog
* Fri Apr 15 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.14-2mamba
- rebuilt to update libpthread-strubs broken .la files

* Fri May 31 2013 Automatic Build System <autodist@mambasoft.it> 1.1.14-1mamba
- automatic version update by autodist

* Mon Jul 02 2012 Automatic Build System <autodist@mambasoft.it> 1.1.13-1mamba
- automatic version update by autodist

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 1.1.12-1mamba
- automatic version update by autodist

* Thu Jun 16 2011 Automatic Build System <autodist@mambasoft.it> 1.1.11-1mamba
- automatic update by autodist

* Wed Sep 02 2009 Automatic Build System <autodist@mambasoft.it> 1.1.10-1mamba
- automatic update by autodist

* Mon Sep 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.9-1mamba
- update to 1.1.9

* Wed Feb 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.8-1qilnx
- update to version 1.1.8 by autospec

* Wed Dec 20 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.6-1qilnx
- package created by autospec
